Bug 780550 - (SOA-2984) SOAPProxy needs to handle the document case where SOAPAction is not set
SOAPProxy needs to handle the document case where SOAPAction is not set
Status: CLOSED NOTABUG
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.2
Unspecified Unspecified
high Severity high
: ---
: One Off Releases
Assigned To: Rick Wagner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 09:45 EDT by david.boeren
Modified: 2012-08-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-30 14:59:22 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SOA-2984-patch.zip (75.98 KB, application/zip)
2011-03-23 06:58 EDT, Julian Coleman
no flags Details
server.log (92.65 KB, text/plain)
2011-03-23 14:13 EDT, Boris Belovic
no flags Details
soapproxy.log (1.91 KB, text/plain)
2011-03-23 14:13 EDT, Boris Belovic
no flags Details
patch.txt (6.76 KB, text/plain)
2011-03-23 14:23 EDT, tcunning
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2984 Major Closed SOAPProxy needs to handle the document case where SOAPAction is not set 2012-09-10 11:49:20 EDT

  None (edit)
Description david.boeren 2011-03-22 09:45:18 EDT
Patch Instructions: PATCH NAME: SOA-2984
PRODUCT NAME: JBossESB
VERSION: 5.0.2
SHORT DESCRIPTION: SOAPProxy needs to handle no SOAPAction
LONG DESCRIPTION: SOAPProxy needs to handle document case where SOAPAction isn't set
MANUAL INSTALL INSTRUCTIONS:
 The included file: jbossesb-soap.jar should be copied over the following files:
  jboss-soa-p.5.0.0/jboss-as/server/<profile>/deploy/soap.esb/jbossesb-soap.jar
  for all profiles that contain this .jar.
COMPATIBILITY:
       No known issues.
DEPENDENCIES:
       N/A
SUPERSEDES:
        N/A
SUPERSEDED BY:
       N/A
CREATOR: RWagner
DATE:
       04/05/2011 

Patch Repository Link: https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=6003
SVN / CVS Isolated Branch: https://svn.devel.redhat.com/repos/jboss-soa/branches/5.0.2-SOA-2984/build-tools/
Support Case Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A0000006JE7x&sfdc.override=1
project_key: SOA

SOAPProxy needs to handle the Document case (it already handles the RPC case) when the SOAPAction is not provided.
Comment 1 david.boeren 2011-03-22 09:45:46 EDT
Link: Added: This issue depends JBESB-3584
Comment 2 Julian Coleman 2011-03-22 12:04:28 EDT
SVN / CVS Isolated Branch: Added: https://svn.devel.redhat.com/repos/jboss-soa/branches/5.0.2-SOA-2961/build-tools
Comment 3 Julian Coleman 2011-03-23 06:58:48 EDT
Zip file containing signed jar built from:
  https://svn.devel.redhat.com/repos/jboss-soa/branches/5.0.2-SOA-2984/build-tools/
  Revision 8758
which uses:
  http://anonsvn.jboss.org/repos/labs/labs/jbossesb/branches/JBESB_4_7_CP2_JBESB_3584/
  Revision 36860
README.txt:

The included file:

  jbossesb-soap.jar

should be copied over the following files:

  jboss-soa-p.5.0.0/jboss-as/server/<profile>/deploy/soap.esb/jbossesb-soap.jar

where "<profile>" is "all", "default" and "production".  The included file
should also be copied to any additional profiles that have been created.
Comment 4 Julian Coleman 2011-03-23 06:58:48 EDT
Attachment: Added: SOA-2984-patch.zip
Comment 6 Julian Coleman 2011-03-23 07:04:28 EDT
Patch Instructions: Added: The included file:

  jbossesb-soap.jar

should be copied over the following files:

  jboss-soa-p.5.0.0/jboss-as/server/<profile>/deploy/soap.esb/jbossesb-soap.jar

where "<profile>" is "all", "default" and "production".  The included file
should also be copied to any additional profiles that have been created.

Comment 9 Boris Belovic 2011-03-23 13:59:33 EDT
I tried steps recommended by customer with old SOA-P 5.0.2 bits (without patch applied) and get exactly the same exception.

Then I tried same steps with bits from http://jawa05.englab.brq.redhat.com/patches/SOA-2984/ (patch applied) without any exception.

I also discussed this with Tom Cunningham who sent me a log from David Ward. He showed me log which contains expected operation and element mapping when the patch is applied.

I saw exactly the same mappings in patched bits when I deployed ESB service with SOAPProxy.

I'll atach both logs.
Comment 10 Boris Belovic 2011-03-23 14:13:00 EDT
Attached server.log from patched SOA-P bits and soapproxy.log from David Ward's email.
Comment 11 Boris Belovic 2011-03-23 14:13:00 EDT
Attachment: Added: server.log
Attachment: Added: soapproxy.log
Comment 12 tcunning 2011-03-23 14:23:32 EDT
Attachment: Added: patch.txt
Comment 13 Boris Belovic 2011-03-29 09:45:45 EDT
md5sum jbossesb-soap.jar  8616fc09e68e4ed2ca2cac646f522647  jbossesb-soap.jar
Comment 14 Rick Wagner 2011-04-05 08:37:29 EDT
Patch Instructions: Removed: The included file:

  jbossesb-soap.jar

should be copied over the following files:

  jboss-soa-p.5.0.0/jboss-as/server/<profile>/deploy/soap.esb/jbossesb-soap.jar

where "<profile>" is "all", "default" and "production".  The included file
should also be copied to any additional profiles that have been created.
 Added: PATCH NAME: SOA-2984
PRODUCT NAME: JBossESB
VERSION: 5.0.2
SHORT DESCRIPTION: SOAPProxy needs to handle no SOAPAction
LONG DESCRIPTION: SOAPProxy needs to handle document case where SOAPAction isn't set
MANUAL INSTALL INSTRUCTIONS:
 The included file: jbossesb-soap.jar should be copied over the following files:
  jboss-soa-p.5.0.0/jboss-as/server/<profile>/deploy/soap.esb/jbossesb-soap.jar
  for all profiles that contain this .jar.
COMPATIBILITY:
       No known issues.
DEPENDENCIES:
       N/A
SUPERSEDES:
        N/A
SUPERSEDED BY:
       N/A
CREATOR: RWagner
DATE:
       04/05/2011 

Comment 15 Tushar Gandotra 2011-04-08 03:08:58 EDT
This patch is applicable to JBoss SOA 5.0.2 . It is available for download
from the following location:
https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=6003
Comment 16 Tushar Gandotra 2011-04-08 03:08:58 EDT
Patch Repository Link: Added: https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=6003
Comment 17 Rick Wagner 2011-11-30 14:59:22 EST
Resolved.

Note You need to log in before you can comment on or make changes to this bug.